%define upstream_name Mojolicious-Plugin-OpenAPI
%define upstream_version 5.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    OpenAPI Mojolicious plugin
License:    Artistic 2.0
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON::Validator) >= 5.130.0
BuildRequires: perl(Mojolicious) >= 9.0.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: make
BuildRequires: perl
%description
Mojolicious::Plugin::OpenAPI is used to support the OpenAPI (aka Swagger2) 
specification.

%prep
%setup -q -n Mojolicious-Plugin-OpenAPI-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install
%{_fixperms} %{buildroot}/*

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/Mojolicious*
%{_mandir}/man3/Mojolicious*

%changelog
* Wed Feb 22 2023 tv <tv> 5.90.0-1.mga9
+ Revision: 1944694
- update to 5.09

* Thu Dec 15 2022 tv <tv> 5.80.0-1.mga9
+ Revision: 1922770
- update to 5.08

* Fri Aug 19 2022 tv <tv> 5.70.0-1.mga9
+ Revision: 1878720
- update to 5.07

* Mon Mar 28 2022 tv <tv> 5.50.0-1.mga9
+ Revision: 1829870
- update to 5.05

* Wed Mar 23 2022 umeabot <umeabot> 5.20.0-2.mga9
+ Revision: 1820882
- Mageia 9 Mass Rebuild

* Mon Nov 22 2021 tv <tv> 5.20.0-1.mga9
+ Revision: 1758592
- update to 5.02

* Mon Oct 04 2021 tv <tv> 5.0.0-1.mga9
+ Revision: 1749307
- update to 5.00

* Mon Sep 20 2021 tv <tv> 4.60.0-1.mga9
+ Revision: 1746006
- update to 4.06

* Sat Jul 17 2021 tv <tv> 4.50.0-1.mga9
+ Revision: 1736375
- update to 4.05

* Wed Jun 23 2021 tv <tv> 4.40.0-1.mga9
+ Revision: 1731896
- update to 4.04

* Tue May 04 2021 tv <tv> 4.30.0-1.mga9
+ Revision: 1721306
- update to 4.03

* Fri Mar 26 2021 tv <tv> 4.20.0-1.mga9
+ Revision: 1710689
- update to 4.02

* Wed Mar 24 2021 tv <tv> 4.10.0-1.mga9
+ Revision: 1708700
- update to 4.01

* Fri Feb 26 2021 tv <tv> 4.0.0-1.mga9
+ Revision: 1692158
- update to 4.00

* Sun Oct 11 2020 tv <tv> 3.400.0-1.mga8
+ Revision: 1633432
- update to 3.40

* Fri Oct 09 2020 tv <tv> 3.390.0-1.mga8
+ Revision: 1632917
- update to 3.39

* Thu Oct 08 2020 tv <tv> 3.380.0-1.mga8
+ Revision: 1632684
- update to 3.38

* Wed Oct 07 2020 tv <tv> 3.370.0-1.mga8
+ Revision: 1632480
- update to 3.37

* Wed Sep 23 2020 tv <tv> 3.360.0-1.mga8
+ Revision: 1629472
- update to 3.36

* Wed Aug 12 2020 tv <tv> 3.350.0-1.mga8
+ Revision: 1613484
- update to 3.35

* Mon Aug 10 2020 tv <tv> 3.340.0-1.mga8
+ Revision: 1612550
- update to 3.34

* Tue Jun 09 2020 tv <tv> 3.330.0-1.mga8
+ Revision: 1591358
- update to 3.33

* Wed Apr 01 2020 tv <tv> 3.310.0-1.mga8
+ Revision: 1562987
- update to 3.31

* Thu Mar 26 2020 tv <tv> 3.300.0-1.mga8
+ Revision: 1560715
- update to 3.30

* Tue Mar 24 2020 tv <tv> 3.290.0-1.mga8
+ Revision: 1559217
- update to 3.29

* Thu Mar 12 2020 tv <tv> 3.280.0-1.mga8
+ Revision: 1555713
- update to 3.28

* Tue Mar 10 2020 tv <tv> 3.270.0-1.mga8
+ Revision: 1555209
- update to 3.27

* Sat Mar 07 2020 tv <tv> 3.240.0-1.mga8
+ Revision: 1554628
- update to 3.24

* Wed Mar 04 2020 tv <tv> 2.230.0-1.mga8
+ Revision: 1553667
- update to 2.23

* Tue Mar 03 2020 tv <tv> 2.220.0-1.mga8
+ Revision: 1553343
- update to 2.22

* Wed Feb 19 2020 umeabot <umeabot> 2.210.0-2.mga8
+ Revision: 1544293
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 tv <tv> 2.210.0-1.mga8
+ Revision: 1482762
- update to 2.21

* Sun Dec 15 2019 tv <tv> 2.200.0-1.mga8
+ Revision: 1467651
- update to 2.20

* Thu Dec 05 2019 tv <tv> 2.190.0-1.mga8
+ Revision: 1464525
- BR perl(YAML::XS)
- update to 2.19

* Tue Oct 29 2019 tv <tv> 2.180.0-1.mga8
+ Revision: 1456573
- update to 2.18

* Thu Oct 17 2019 tv <tv> 2.170.0-1.mga8
+ Revision: 1454258
- update to 2.17

* Mon Aug 05 2019 tv <tv> 2.160.0-1.mga8
+ Revision: 1427489
- update to 2.16

* Sun Jun 30 2019 tv <tv> 2.140.0-1.mga8
+ Revision: 1416432
- update to 2.14

* Fri Mar 15 2019 tv <tv> 2.130.0-1.mga7
+ Revision: 1377510
- update to 2.13

* Fri Feb 15 2019 tv <tv> 2.120.0-1.mga7
+ Revision: 1367188
- update to 2.12

* Sat Jan 26 2019 tv <tv> 2.110.0-1.mga7
+ Revision: 1360994
- update to 2.11

* Fri Jan 25 2019 tv <tv> 2.100.0-1.mga7
+ Revision: 1360639
- update to 2.10

* Mon Jan 21 2019 tv <tv> 2.90.0-1.mga7
+ Revision: 1358931
- update to 2.09

* Tue Jan 08 2019 tv <tv> 2.80.0-1.mga7
+ Revision: 1351982
- update to 2.08

* Thu Dec 20 2018 tv <tv> 2.70.0-1.mga7
+ Revision: 1343456
- update to 2.07

* Fri Dec 07 2018 tv <tv> 2.60.0-1.mga7
+ Revision: 1338769
- update to 2.06

* Sun Nov 18 2018 tv <tv> 2.40.0-1.mga7
+ Revision: 1330623
- update to 2.04
- s/global/define/ b/c of borken magpie
- s/global/define/ b/c of borken magpie
- use %%upstream_name

* Sat Oct 27 2018 bcornec <bcornec> 2.10.0-1.mga7
+ Revision: 1326106
- update to upstream perl-Mojolicious-Plugin-OpenAPI 2.01

* Fri Oct 05 2018 tv <tv> 2.0.0-1.mga7
+ Revision: 1317972
- new release
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.210.0-2.mga7
+ Revision: 1165571
- rebuild with fixed rpm for missing autodeps

* Sun Sep 17 2017 bcornec <bcornec> 1.210.0-1.mga7
+ Revision: 1155120
- sha1 upload of Mojolicious::Plugin::OpenAPI
- Upstream upload of Mojolicious::Plugin::OpenAPI
- Created package structure for perl-Mojolicious-Plugin-OpenAPI.

